<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
        <meta name="author" content="Coderthemes">

        
        <!-- App title -->
        <title>DWD Lead Generation Application</title>

        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet" />

        <!-- App CSS -->
        <link href="<?php echo base_url(); ?>assets/css_admin/style.css" rel="stylesheet" type="text/css" />
        <!-- jQuery  -->
        <script src="<?php echo base_url(); ?>assets/js/jquery.min.js"></script>
        <script src="<?php echo base_url(); ?>assets/js/modernizr.min.js"></script>
        <style type="text/css">
            .success{
                color: green;
            }
            .red{
                color: red;
            }
        </style>
    </head>


    <body>

        <div class="account-pages"></div>
        <div class="clearfix"></div>
        <div class="wrapper-page">
        	<div class="account-bg">
                <div class="card-box m-b-0">
                    
                    <div class="m-t-30 m-b-20">
                        
                        <form class="form-horizontal m-t-20" method="POST" data-parsley-validate novalidate>

                            <div class="form-group ">
                                <div class="col-xs-12">
                                    <input class="form-control" type="email" name="email"  placeholder="Please enter email" required id="forgot_email">
                                </div>
                            </div>

                            <span class="error"></span>

                            <div class="form-group text-center m-t-30">
                                <div class="col-xs-12">
                                <div id="emptyemail_error"></div>
                                 <div class="EmailOrPass"></div>
                                 <div class="UserEmaiValidate-msg"></div>
                                 <div class="update_status"></div>
                                    <button class="btn btn-success btn-block waves-effect waves-light" id="forgot_pass" type="submit">Email Reset Link</button>
                                </div>
                            </div>

                        </form>

                    </div>
                </div>
            </div>
            <!-- end card-box-->

        </div>
        <!-- end wrapper page -->


        <script>
            var resizefunc = [];
        </script>

        <!-- jQuery  --> 
        <!-- jQuery  -->
        <script src="<?php echo base_url(); ?>assets/js/jquery.min.js"></script>
        <script src="<?php echo base_url(); ?>assets/js/tether.min.js "></script><!-- Tether for Bootstrap -->
        <script src="<?php echo base_url(); ?>assets/js/bootstrap.min.js "></script>
        <script src="<?php echo base_url(); ?>assets/js/waves.js "></script>
        <script src="<?php echo base_url(); ?>assets/js/jquery.nicescroll.js "></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
        <script type="text/javascript" src="<?php echo base_url(); ?>assets/plugins/parsleyjs/parsley.min.js"></script>

        <script type="text/javascript">
            $(document).ready(function() {
                $('form').parsley();
            });
        </script>

        <script type="text/javascript">

        $('#forgot_pass').click(function(e){

                e.preventDefault();

                var email = $('#forgot_email').val();

                    if(email === '') {

                        $("#emptyemail_error").append('<span class="red err_email">Please enter email id</span>');
                        setTimeout(function(){ 
                            $('.err_email').remove('');
                        }, 3000);
                        
                    }else if(!isValidEmailAddress(email)) {

                        $('#emptyemail_error').append('<span class="red reg_email_error">Please enter valid email id.</span>');
                    
                        setTimeout(function(){ 
                            $('.reg_email_error').remove('');
                        }, 3000);
                    
                    }
                    else {

                          $.ajax({

                            url: '<?php echo base_url();?>Admin/check_admin_Validemail',
                            type: "POST",
                            data: {email:email},
                          
                            success: function(data)
                            {
                                console.log(data);

                                if(data=='2')
                                {

                                  update_password();

                                }   
                                else if(data=='1')
                                {
                                    $('.EmailOrPass').val('');
                                    $('.EmailOrPass').html('<span class="alert red" role="alert"> Entered email id not registered to DWD.</span>');
                                    setTimeout(function(){ 
                                        $('.EmailOrPass').html('');
                                    }, 3000);

                                }
                                else if(data=='3')
                                {   
                                     $('.UserEmaiValidate-msg').val('');
                                    $('.UserEmaiValidate-msg').html('<div class="alert forgetalert red" role="alert"> Email address is not an admin email address.</div>');
                                    setTimeout(function(){ 
                                        $('.UserEmaiValidate-msg').html('');
                                    }, 3000);
                                }
                             }
                         });
                       
                    } 

            });

        function update_password(){

            var email = $('#forgot_email').val();

                    $.ajax({
                        url: '<?php echo base_url();?>Admin/update_admin_password',
                        type: "POST",
                        data: {email:email},
                      
                        success: function(response)
                        {
                            console.log(response);
                            if(response == 'success'){

                                $('.update_status').val('');
                                $('.update_status').html('<div class="alert forgetalert success" role="alert"> Password Reset Successfully.</div>');

                                setTimeout(function(){ 
                                    $('.update_status').html('');
                                    window.location.href = '<?php echo base_url();?>Admin';
                                }, 3000);

                            }
                        }

                    });   
               }

        function isValidEmailAddress(emailAddress) {
                var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
                return pattern.test(emailAddress);
            }       

        </script>

    </body>
</html>