
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
        <meta name="author" content="Coderthemes">

        <!-- App title -->
        <title>DWD Lead Generation Application</title>

        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet" />

        <!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
        <!-- App CSS -->
        <link href="<?php echo base_url('assets/css_admin/style.css'); ?>" rel="stylesheet" type="text/css" />
        <!-- jQuery  -->
        <script src="<?php echo base_url('assets/js/jquery.min.js'); ?>"></script>
        <script src="<?php echo base_url('assets/js/modernizr.min.js'); ?>"></script>

    </head>


    <body onload="history.go(+1)">

        <div class="account-pages"></div>
        <div class="clearfix"></div>
        <div class="wrapper-page">
        	<div class="account-bg">
                <div class="card-box m-b-0">
                    <div class="text-xs-center m-t-20">
                        
                            <img src="<?php echo base_url();?>assets/images/Douglas_WD_flat logo.svg" alt="DWD " class="img-responsive" width="200px" height="auto">
                       
                    </div>
                    <div class="m-t-30 m-b-20">
                        <div class="col-xs-12 text-xs-center">
                            <h6 class="text-muted text-uppercase m-b-0 m-t-0">Sign In</h6>
                        </div>
                        <form class="form-signin" id="LoginForm">

                            <div class="form-group lsuccess">
                            </div>
                            <div class="form-group " id="LoginEmailError">
                                <div class="col-xs-12">
                                    <input type="text" id="LoginemailId" class="form-control" placeholder="Email address" name="email" placeholder="User Email">
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-xs-12">
                                    <input type="password" name="password" id="exampleInputPassword1" class="form-control" placeholder="Password">
                                </div>
                            </div>
                            <div id="PasswordErrors1" class="loginerrorClass"></div>

                            <div class="form-group ">
                                <div class="col-xs-12">
                                    <div class="checkbox checkbox-custom">
                                        <input id="checkbox-signup" type="checkbox">
                                        <label for="checkbox-signup">
                                            Remember me
                                        </label>
                                    </div>

                                </div>
                            </div>
                            <span class="error"></span>
                            <div class="form-group text-center m-t-30">
                                <div class="col-xs-12">
                                    <input type="hidden" name="loginType" value="1">
                                    <div class="UserEmaiValidate-msg"></div>
                                    <div class="EmailOrPass"></div>
                                    <div class="SuccessLogin"></div>
                                    <button class="btn btn-success btn-block waves-effect waves-light" id="SignUp" type="submit">Log In</button>
                                </div>
                            </div>

                            <div class="form-group m-t-30 m-b-0">
                                <div class="col-sm-12">
                                    <a href="<?php echo base_url();?>Admin/forgot_password" class="text-muted"><i class="fa fa-lock m-r-5"></i> Forgot your password?</a>
                                </div>
                            </div>

                        </form>

                    </div>
                </div>
            </div>

        </div>
        <!-- end wrapper page -->


        <script>
            var resizefunc = [];
        </script>

        <!-- jQuery  -->
        <!-- jQuery  -->
        <script src="<?php echo base_url('assets/js/jquery.min.js'); ?>"></script>
        <script src="<?php echo base_url('assets/js/tether.min.js '); ?>"></script><!-- Tether for Bootstrap -->
        <script src="<?php echo base_url('assets/js/bootstrap.min.js '); ?>"></script>
        <script src="<?php echo base_url('assets/js/waves.js '); ?>"></script>
        <script src="<?php echo base_url('assets/js/jquery.nicescroll.js '); ?>"></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

        <!-- validate -->
        <script type="text/javascript" src="<?php echo base_url();?>assets/admin/js/jquery.validate.js"></script>

        <script type="text/javascript">
            /* Login functionality */

            $("#LoginForm").validate({

                errorElement: 'div',
                rules: {

                    password:{
                        required: true
                    }
                },

                messages: {
                    
                    password :{
                        required:"Please enter password."
                    }
                },

                invalidHandler: function(form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                    }
                }

            });

            $('#SignUp').click(function(e){
                e.preventDefault();

                var email = $('#LoginemailId').val();
                var validEmail;
                if(email === '') {
                    $("#LoginEmailError").append('<span class="mailText">Please enter email id.</span>');
                
                    setTimeout(function(){ 
                        $('.mailText').remove('');
                    }, 3000);
                    validEmail =0;
                }
                else if(!isValidEmailAddress(email)) {
                    $('#LoginEmailError').append('<span class="mailText">Please enter valid email id.</span>');
                
                    setTimeout(function(){ 
                        $('.mailText').remove('');
                    }, 3000);
                    validEmail =0;
                }
                else {
                    validEmail =1;
                }

                if(($("#LoginForm").valid()) && (validEmail ==1))
                {
                    $.ajax({
                        url: '<?php echo base_url();?>Admin/checkValidemailId',
                        type: "POST",
                        data: {email:email},
                      
                        success: function(data, textStatus, jqXHR)
                        {
                            console.log(data);
                            if(data=='2')
                            {
                                LoginUser();
                            }   
                            else if(data=='1')
                            {
                                $('#LoginemailId').val('');
                                $('#exampleInputPassword1').val('');
                          
                                $('.EmailOrPass').html('<span class="alert red" role="alert"> Entered email id not registered to DWD.</span>');
                                setTimeout(function(){ 
                                    $('.EmailOrPass').html('');
                                }, 3000);
                            }
                            else if(data=='3')
                            {
                                $('#LoginemailId').val('');
                                $('#exampleInputPassword1').val('');
                                $('.UserEmaiValidate-msg').html('<div class="alert forgetalert red" role="alert"> Email address is not an admin email address.</div>');
                                setTimeout(function(){ 
                                    $('.UserEmaiValidate-msg').html('');
                                }, 3000);
                            }
                        }
                    });
                }
            });

            function LoginUser()
            {
                var email = $('#LoginemailId').val();
                var validEmail;
                if(email === '') {
                    $("#LoginEmailError").append('<span class="mailText">Please enter email id.</span>');
                
                    setTimeout(function(){ 
                        $('.mailText').remove('');
                    }, 3000);
                    validEmail =0;
                }
                else if(!isValidEmailAddress(email)) {
                    $('#LoginEmailError').append('<span class="mailText">Please enter valid email id.</span>');
                
                    setTimeout(function(){ 
                        $('.mailText').remove('');
                    }, 3000);
                    validEmail =0;
                }
                else {
                    validEmail =1;
                }

                if(($("#LoginForm").valid()) && (validEmail ==1))
                {
                    var formObj = $("#LoginForm");
                    var formURL = formObj.attr("path");
                    var formData = new FormData(formObj[0]);

                    $.ajax({
                        url: '<?php echo base_url();?>Admin/Userlogin',
                        type: "POST",
                        data: formData,
                        contentType: false,
                        cache: false,
                        processData:false,
                        datatype:'json',
                        
                        success: function(data, textStatus, jqXHR)
                        {
                            console.log(data);
                            if( data != 'fail' && data != 'TypeDiff')
                            {
                                $('.SuccessLogin').html('<span class="loginsuccess green" role="alert">You are successfully log in!</span>'); 
                                setTimeout(function(){ 
                                    $('.SuccessLogin').html('');

                                    if(data==1)
                                    {
                                        window.location.href = '<?php //echo base_url(); ?>Admin/Dashboard';
                                    }

                                }, 3000);
                            }
                            if( data == 'fail' )
                            {
                                $('#exampleInputPassword1').val('');
                                $('#PasswordErrors1').html('<span class="passError red" role="alert">Please enter correct password!</span>'); 
                                setTimeout(function(){ 
                                    $('#PasswordErrors1').html('');
                                    //$('#logIn').modal('toggle');
                            
                                }, 3000);

                            }
                            if( data == 'TypeDiff' )
                            {
                                $('#LoginemailId').val('');
                                $('#exampleInputPassword1').val('');
                                $('#loginTypeErrors').html('<span class="red passType" role="alert">Wrong user type.</span>'); 
                                setTimeout(function(){ 
                                $('#loginTypeErrors').html('');
                                //$('#logIn').modal('toggle');
                            
                                }, 3000);
                            }
                            
                        }
                    });
                }
            }
            /* End Login Script */

            function isValidEmailAddress(emailAddress) {
                var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
                return pattern.test(emailAddress);
            };
        </script>


        <style type="text/css">
            .forgetalert{
                padding: 0px !important;
                margin-bottom: 15px !important;
                margin-top: -15px !important;
            }

            .SendEmailValidate-msg{
                text-align: center;
            }

            .red{
                color: red;
                margin-left: 187px;
            }

            .decor, .loginsuccess{
                color: green !important;
            }

            .error{
                color: red;
            }
            .mailText{
                color: red;
                margin-left: 12px;
            }
            .RegiSuccess{
                color: green;
            }
            .RegiFail{
                color: red;
            }
            .modal-backdrop.in {
                z-index: 1;
           }

           .UserEmaiValidate-msg {
                margin-left: -106px;
            }
            .EmailOrPass{
                margin-left: -204px;
            }
            .SuccessLogin{
                margin-left: 0px;
            }

            .passError, .passType{
                margin-left: 12px !important;
            }
        </style>

        <script type="text/javascript">
        $(document).ready(function() {
            <?php
                if($this -> input -> get('success')=="logout") {
                    ?>
                    //notification("success","User Deactivated","Deactivated");
                    Command: toastr['success']('', 'Logout Successfully.') 
                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-top-right",
                        "preventDuplicates": false,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "2000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut"
                    }
                    setTimeout(function(){  window.location.href="Auth"; }, 2000);
                   
                    <?php
                } 
            ?>

            <?php
                if($this -> input -> get('error')=="not_valid") {
                    ?>

                    $('.error').css('color','#ff5d48');
                    $('.error').css('margin-left','12px');
                    $('.error').html('Please enter valid details!.');
                    $('.error').delay(4000).fadeOut();

                    <?php
                } 
            ?>

            <?php
                if($this -> input -> get('success')=="change_password") {
                    ?>
                    //notification("success","User Deactivated","Deactivated");
                    Command: toastr['success']('', 'Password Updated Successfully.') 
                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-top-right",
                        "preventDuplicates": false,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "2000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut"
                    }
                    <?php
                } 
            ?>

            <?php
                if($this -> input -> get('success')=="sent") {
                    ?>
                    //notification("success","User Deactivated","Deactivated");
                    Command: toastr['success']('', 'Reset password link sent to your email.') 
                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-top-right",
                        "preventDuplicates": false,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "2000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut"
                    }
                    <?php
                } 
            ?>
        });
        </script>

    </body>
</html>