<body>
<div class="tuna-loader-container">
    <div class="tuna-loader"></div>
</div>
    
<div class='tuna-signup-container'>
    <div class='container'>
        <div class="row">
            <div class='tuna-signup-left col-md-4 col-sm-4'>
                <img class='tuna-signup-logo' src='<?php echo base_url(); ?>assets/home/images/twdc_logo.svg' alt="logo"/>
                
                <hr/>
                <div class="tuna-slider-container">
                    <ul class="tuna-slider">
                        <li class='tuna-signup-testimonial'>
                            <!-- <i class="icon icon-quill"></i> -->
                            <p>"We have used this company’s services on several occasions and they have always been courteous and prompt. Whether it was the estimator, the installer or the office staff, they all did their jobs with pride."</p>
                            <!-- <img src='<?php //echo base_url(); ?>assets/home/images/testimonials/logo1.png' alt=""/> -->
                            <b> J Brochu.<!-- <span>‒ Digital Marketing Specialist</span> --></b>
                        </li>
                        


                    </ul>
                </div>
            </div>
            <div class='tuna-signup-right col-md-8 col-sm-8' id="replace_div">  

                <?php if($this->session->flashdata('error')) { ?>
                    <p class="alert alert-warning"><span class="padding85"><?php echo $this->session->flashdata('error'); ?></span></p>
                <?php } ?>
                <?php if($this->session->flashdata('success')) { ?>
                    <p class="alert alert-success"><span class="padding85"><?php echo $this->session->flashdata('success'); ?></span></p>
                <?php } ?>      
                
                <form class="form-horizontal sign_form" id="signin_form" method="POST" action="<?php echo base_url();?>Home/Signin" >              

                    <div class="tuna-steps  col-xs-12 col-sm-9 col-sm-offset-2">
                        <div class=" mb40">
                            <h2>Sign in</h2>
                        </div>
                        <div class=" mb40">
                            <label class="formLabel" for='email'>Email</label>
                            <input type="text" class="formInput" id='email' name="email" autocomplete="off" spellcheck="false" />
                        </div>

                        <div class="mb40">
                            <label class="formLabel" for='password'>Password</label>
                            <input type="password" class="formInput" id='password' name="password" autocomplete="off" spellcheck="false" />
                            <p class="error" id="Password-error"></p>
                        </div>

                    </div>
                    <div class='button-container'>

                        <a href="javascript:void(0)" id="forgetPassword" class="btn btn-white btn-rounded">Forgot Password?</a>
                        <div>
                            <a href="javascript:void(0)" id="SigninBtn" class="btn btn-white btn-rounded">Login</a>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>



<style type="text/css">
.datetimepicker {padding: 2px;}
.datetimepicker.dropdown-menu .table-condensed th,
.datetimepicker.dropdown-menu .table-condensed th.switch,
.datetimepicker.dropdown-menu .table-condensed th.prev ,
.datetimepicker.dropdown-menu .table-condensed th.next{ background-color: #fdbe00 !important; }
.datetimepicker.dropdown-menu table.table-condensed{ background-color: #ffc926; }
.datetimepicker.dropdown-menu .table-condensed>tbody>tr>td, 
.datetimepicker.dropdown-menu .table-condensed>tbody>tr>th, 
.datetimepicker.dropdown-menu .table-condensed>tfoot>tr>td, 
.datetimepicker.dropdown-menu .table-condensed>tfoot>tr>th, 
.datetimepicker.dropdown-menu .table-condensed>thead>tr>td, 
.datetimepicker.dropdown-menu .table-condensed>thead>tr>th { padding: 7px 12px; }
.datetimepicker.dropdown-menu .table-condensed thead tr{
        border-bottom: 1px solid #bd8e00;
}

.datetimepicker table tr td.day:hover,
.datetimepicker table tr td.active, 
.datetimepicker table tr td.active:hover, 
.datetimepicker table tr td.active.disabled, 
.datetimepicker table tr td.active.disabled:hover{
    background-image: -webkit-gradient(linear,0 0,0 100%,from(#f55661),to(#f55661));
    background-image: -webkit-linear-gradient(top,#f55661,#f55661);
    background-image: -o-linear-gradient(top,#f55661,#f55661);
    background-image: linear-gradient(to bottom,#f55661,#f55661);
    color: #fff !important;
}

.datetimepicker .icon-arrow-left:before {
    content: "\e079";
}
.datetimepicker .icon-arrow-right:before {
    content: "\e080";
}
.tuna-signup-logo {
    max-width: 170px;
    margin: 0px auto 20px auto;
    display: block;
}
.tuna-signup-left p {
    font-size: 16px;
}
.tuna-signup-left .bx-controls.bx-has-pager{
    display: none;
}

.error{
    color: #e70000;
}

.help-error {
    font-size: 14px;
    font-style: normal;
    color: rgba(0, 0, 0, 0.5);
    font-weight: bold;
    padding: 00px 0;
    display: block;
    text-align: left;
    color: #e70000;
}
.mb40{margin-bottom: 40px;}
/*.input-container  .btn-group.bootstrap-select.form-control.dropup .dropdown-menu.open{
    display: block !important;
}*/

@media only screen and (max-width: 990px)and(min-width: 768px) {
    .tuna-signup-left {
        padding-left: 5px !important;
    } 
}
</style>